#
# spec file for package python-django-mailer
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-django-mailer
Version:        0.1.0
Release:        bp153.1.12
Url:            https://github.com/jtauber/django-mailer
Summary:        A reusable Django app for queuing the sending of email
License:        MIT
Group:          Development/Languages/Python
Source:         django-mailer-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
Requires:       python-django
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif

%description
A reusable Django app for queuing and throttling of email sending, scheduled sending,
consolidation of multiple notifications into single emails and logging of mail failures.

%prep
%setup -q -n django-mailer-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitelib}/*

%changelog
* Wed Dec 28 2011 alexandre@exatati.com.br
- Remove CFLAGS from spec file.
* Thu Nov 24 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack;
- Bzip2 source code.
* Mon Aug 24 2009 alexandre@exatati.com.br
- Update to 0.1 final.
* Wed Aug 19 2009 alexandre@exatati.com.br
- Initial package for openSUSE.
